#!/bin/sh

# z008, V1.0
#检查是否存在，不存在则创建"/usr/share/applications/uengine.org.anbox.appmgr.desktop"文件
#打开安卓程序管理UI.

APPMGR_DESKTOP=/usr/share/applications/uengine.org.anbox.appmgr.desktop

if [ ! -f "$APPMGR_DESKTOP" ]; then
  cat <<EOF | pkexec sudo tee "$APPMGR_DESKTOP"
  [Desktop Entry]
  Categories=Audio;
  Exec=/usr/bin/uengine-launch.sh --action=android.intent.action.MAIN --package=org.anbox.appmgr --component=org.anbox.appmgr.AppViewActivity
  GenericName=Uengine UI
  GenericName[zh_CN]=Uengine UI
  Icon=anbox
  Name=Uengine UI
  Name[zh_CN]=Uengine UI
  Terminal=false
  Type=Application
  X-Deepin-Vendor=user-custom
EOF
fi

if [ ! -f "~/Desktop/uengine.org.anbox.appmgr.desktop" ]; then
    cp $APPMGR_DESKTOP ~/Desktop/
fi

/usr/bin/uengine-launch.sh --action=android.intent.action.MAIN --package=org.anbox.appmgr --component=org.anbox.appmgr.AppViewActivity